org.eclnt.jsfserver.elements.impl

## Class CHARTBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.CHARTBinding

- All Implemented Interfaces:
    IValueByToString, ICCServerConstants, IDynamicContentBindingObject

      public class CHARTBinding
      extends java.lang.Object
      implements ICCServerConstants, IDynamicContentBindingObject, IValueByToString

  "Dependencies" of this class are:
  1. JFreeChart
  2. Generation of SVG from JFreeChart using Batik:
  a. batik-svggen
  b. batik-dom
  c. batik-util
  d. batik-awt-util

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CHARTBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChartInfo` | `getChartInfo()`
    `java.lang.String` | `getChartXML()`
    `void` | `setChartInfo(ChartInfo chartInfo)`
    `void` | `setSvgBounds(int svgWidth, int svgHeight)` The chart is passed to the client side as SVG in case of RISC-HTML and JavaFX client.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CHARTBinding

          public CHARTBinding()

  - ### Method Detail

    - #### getChartInfo

          public ChartInfo getChartInfo()

    - #### setChartInfo

          public void setChartInfo(ChartInfo chartInfo)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getChartXML

          public java.lang.String getChartXML()

      Returns:
        chart representation for the client - in case of the swing client this is the XML representation (JAX-B) of ChartInfo. In case of the Java FX Client this is the SVG representation of the chart.

    - #### setSvgBounds

          public void setSvgBounds(int svgWidth,
                                   int svgHeight)

      The chart is passed to the client side as SVG in case of RISC-HTML and JavaFX client. You may explicitly define the width and height of the generated SVG.

Copyright © CaptainCasa Gmbh. All Rights Reserved.